<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:dk="kelis.fr:dokiel" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office dk style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::dk:stepList)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:stepList">
		<xsl:for-each select="sp:intro"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNc"/><xsl:value-of select="resultatAgent(concat($vContentAgtNc, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:overview"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable name="vTitleContent"><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:variable name="vDataContent"><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN1d"/><xsl:value-of select="resultatAgent(concat($vContentAgtN1d, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table" table:name="Table"><table:table-column table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table.A"/><table:table-column table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table.B"/><xsl:if test="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"><table:table-row><table:table-cell table:number-columns-spanned="2" table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table.A1"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_stepList_5f__20__3e__20_vid_20__3e__20_title"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></text:p></table:table-cell><table:covered-table-cell/></table:table-row></xsl:if><table:table-row><table:table-cell table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table.A2"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" phase="compilation" type="info">/~param/dkGuide-2_1/gen/userGuidePaper/bs.doss/_root/document/Pictures/video.png</scOd:error><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" draw:z-index="60" svg:y="-0.347cm" svg:x="" svg:height="0.801cm" svg:width="0.801cm" text:anchor-type="as-char" draw:name="PictureN12" draw:style-name="dk_5f_stepList_5f__20__3e__20_vid_20__3e__20_picture"><draw:image xlink:actuate="onLoad" xlink:show="embed" xlink:type="simple" xlink:href="Pictures/video.png"/></draw:frame></text:p></table:table-cell><table:table-cell table:style-name="dk_5f_5f_5f_stepList_5f_5f_5f__5f_5f_5f_vid_5f_5f_5f_table.A1"><xsl:copy-of select="$vDataContent"/></table:table-cell></table:table-row></table:table></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WPictureBlock" de code "vid" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
		</xsl:for-each>
		<xsl:for-each select="sp:desc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '_AstepList')" name="vContentAgtN24"/><xsl:value-of select="resultatAgent(concat($vContentAgtN24, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:step"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN2b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN2b, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:choose>
			<xsl:when test="count(sp:step/dk:step/sp:extras)&gt;0"><scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" category="stepExtras"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', switchAxis(codeAgent('//'), ''))"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:value-of select="concat('@', switchAxis(codeAgent('//'), ''))"/>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Procédure</xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scOd:title><scOd:data>
						<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), 'extras'), '/getContent'))"/>
					</scOd:data></scOd:dataBlock></xsl:when>
		</xsl:choose>
		<xsl:for-each select="sp:comment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN5c"/><xsl:value-of select="resultatAgent(concat($vContentAgtN5c, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:alt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat('@', getIdNode(ancestor-or-self::sp:*[1]), '_meta', '')" name="vPartAgtN62"/><xsl:value-of select="resultatAgent(concat($vPartAgtN62, '/getContent'))" disable-output-escaping="yes"/>
			<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" category="op"><xsl:variable name="vId">
					<xsl:value-of select="concat($vContentAgt, '')"/>
				</xsl:variable><xsl:variable name="vSortKey">
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</scOd:title><scOd:data>
					<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_stepList_5f__20__3e__20_altTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"> <xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"> </xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p>
					<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN84"/><xsl:value-of select="resultatAgent(concat($vContentAgtN84, '/getContent'))" disable-output-escaping="yes"/>
				</scOd:data></scOd:dataBlock>
		</xsl:for-each>
	</xsl:template><xsl:template match="*"/></xsl:stylesheet>